Bug 234491 - devel/py-fs: Update to 2.1.2
Summary: devel/py-fs: Update to 2.1.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords: needs-qa
Depends on: 234907
Blocks: 234492
  Show dependency treegraph
 
Reported: 2018-12-29 16:49 UTC by Ting-Wei Lan
Modified: 2019-04-30 15:52 UTC (History)
5 users (show)

See Also:
bugzilla: maintainer-feedback? (douglas)


Attachments
devel/py-fs: 0.5.4 -> 2.1.2 (1.61 KB, patch)
2018-12-29 16:49 UTC, Ting-Wei Lan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ting-Wei Lan 2018-12-29 16:49:04 UTC
Created attachment 200607 [details]
devel/py-fs: 0.5.4 -> 2.1.2

print/py-fonttools 3.34 has an optional feature called 'ufo', which needs devel/py-fs >= 2.1.1. Since I am going to update x11-fonts/py-fontmake from 1.7 to 1.8 and fontmake 1.8 starts requiring this optional feature, I have to update devel/py-fs first.
Comment 1 Douglas Thrift 2019-01-04 05:03:33 UTC
I am not sure if 2.1.2 is API compatible with the API provided by 0.5.4, it may be better to just make a py-fs2 port. However, the only port that has any dependency on py-fs at the moment is security/py-keyrings.alt, so if the option for py-fs in that works okay with the newer version of py-fs, just upgrading the port would be fine. I may have time to look into that this coming weekend if you do not get to it sooner.

Thanks!
Comment 2 commit-hook freebsd_committer 2019-01-04 05:46:59 UTC
A commit references this bug:

Author: koobs
Date: Fri Jan  4 05:46:45 UTC 2019
New revision: 489245
URL: https://svnweb.freebsd.org/changeset/ports/489245

Log:
  security/py-keyrings.alt: Add test support to assist committer QA

  Add TEST_DEPENDS and (do-)test target to help QA of an upcoming devel/py-fs
  update [1].

  The tests currently pass: 128 passed, 61 skipped in 21.56 seconds

  While I'm here:

   - Pet portlint (extra item placed in the USES/USE_x section)

  PR:		234491
  Approved by:	portmgr (framework/infrastructure support/compliance)
  MFH:		2019Q1

Changes:
  head/security/py-keyrings.alt/Makefile
  head/security/py-keyrings.alt/files/
  head/security/py-keyrings.alt/files/patch-tests_test__crypto.py
  head/security/py-keyrings.alt/files/patch-tests_test__file.py
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2019-01-04 05:52:06 UTC
(In reply to Douglas Thrift from comment #1)

The test target I added in ports r489245 should make it easier to identify API incompatibilities for this update, hope it helps.

I note also that the package has the 'fs' dependency pinned to <2, for the optional test dependencies:

setup.py:extras_require={
  'testing': [
    ...
    'fs>=0.5,<2',
    ...
}

This is likely just a safety mechanism, and not guaranteed to be indicative that fs will break API at a major version bump.
Comment 4 Steve Wills freebsd_committer 2019-01-05 02:51:34 UTC
security/py-keyrings.alt does break with py-fs 2.1.2:

57 failed, 71 passed, 61 skipped
Comment 5 Kurt Jaeger freebsd_committer 2019-01-12 18:58:52 UTC
upstream is now at 2.2.1, does this help py-keyrings.alt?
Comment 6 Steve Wills freebsd_committer 2019-01-14 16:27:02 UTC
(In reply to Kurt Jaeger from comment #5)

Well, yes and no. security/py-keyrings.alt seems to be missing a test-depends now, but if I add that it will try to run the tests and it "passes" it's tests with the new py-fs:

57 passed, 157 skipped

There are quite a few tests skipped. Some of the skipped tests are platform specific, but also all the py-fs tests are skipped.
Comment 7 commit-hook freebsd_committer 2019-03-25 07:30:50 UTC
A commit references this bug:

Author: koobs
Date: Mon Mar 25 07:30:27 UTC 2019
New revision: 496796
URL: https://svnweb.freebsd.org/changeset/ports/496796

Log:
  MFH: r489245 security/py-keyrings.alt: Add test support to assist committer QA

  Add TEST_DEPENDS and (do-)test target to help QA of an upcoming devel/py-fs
  update [1].

  The tests currently pass: 128 passed, 61 skipped in 21.56 seconds

  While I'm here:

   - Pet portlint (extra item placed in the USES/USE_x section)

  PR:		234491
  Approved by:	portmgr (framework/infrastructure support/compliance)

  Approved by:	ports-secteam (miwi)

Changes:
_U  branches/2019Q1/
  branches/2019Q1/security/py-keyrings.alt/Makefile
  branches/2019Q1/security/py-keyrings.alt/files/
Comment 8 commit-hook freebsd_committer 2019-04-30 15:46:32 UTC
A commit references this bug:

Author: swills
Date: Tue Apr 30 15:45:35 UTC 2019
New revision: 500500
URL: https://svnweb.freebsd.org/changeset/ports/500500

Log:
  devel/py-fs2: create port

  Filesystem Abstraction for Python. Work with files and directories in archives,
  memory, the cloud etc. as easily as your local drive. Write code now, decide
  later where the data will be stored; unit test without writing real files;
  upload files to the cloud without learning a new API; sandbox your file writing
  code; etc.

  WWW: https://www.pyfilesystem.org/

  This port is for the 2.x version which is not API compatible with
  previous versions.

  PR:		234491
  Submitted by:	Ting-Wei Lan <lantw44@gmail.com> (inspired by)

Changes:
  head/devel/Makefile
  head/devel/py-fs2/
  head/devel/py-fs2/Makefile
  head/devel/py-fs2/distinfo
  head/devel/py-fs2/pkg-descr
Comment 9 Steve Wills freebsd_committer 2019-04-30 15:52:50 UTC
Committed a 2.x version of this port, will continue working on getting py-psautohint fixed by adding the py-fs2 dep to py-fonttools. This PR is at least fixed, closing. Sorry it took so long to get to.